Subject: Re: [XFRM][RFC v1] Fix unexpected SA hard expiration after setting new date

From: Fan Du <[email-masked]>
Date: Mon, 18 Jun 2012 16:53:05 +0800

On 2012年06月18日 16:40, Herbert Xu wrote:
> On Mon, Jun 18, 2012 at 04:24:15PM +0800, fan.du wrote:
>>
>> So, could you please give your comments on this?
>
> Well, this used to work back when we were using relative time
> instead of absolute time.  Then someone came along and changed
> it for suspend/resume.
>
> I didn't like this new behaviour but Dave convinced me that
> it is a good thing :)
>

One of our custom complained the networking down when changing date,
even it's only less than 10 seconds, but they complain anyway:)
So it probably hurts much in practice for tel comm company.

> I guess I can live with your workaround if Dave is happy with
> it.  But IMHO we should just go back to relative time and fix
> the suspend/resume user-space scripts instead.

Ok, let's see what Dave will say about this.
And thanks for your comments.

> Cheers,

-- 

Love each day!
--fan